<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package One_Hive
 */

 	get_header();

 	do_action( 'one_hive_enable_home_page' );

 	$enable_front_page = one_hive_get_option( 'one_hive_active_home_page' );

 	if( $enable_front_page == 1 ) {

 		get_template_part( 'themebeez/templates/section-parts/section', 'banner' );

 		get_template_part( 'themebeez/templates/section-parts/section', 'feature' );

 		get_template_part( 'themebeez/templates/section-parts/section', 'team' );

 		get_template_part( 'themebeez/templates/section-parts/section', 'news' );

 		get_template_part( 'themebeez/templates/section-parts/section', 'testimonial' );

 		get_template_part( 'themebeez/templates/section-parts/section', 'blog' );

 		get_template_part( 'themebeez/templates/section-parts/section', 'cta' );

 		get_template_part( 'themebeez/templates/section-parts/section', 'partner' );

 		get_template_part( 'themebeez/templates/section-parts/section', 'contact' );
 		
 	}

	get_footer();